|  | Home | Documentation | uddi2__find_USCOREbinding Class Reference updated by Robert van Engelen |

Public Member Functions | Public Attributes | List of all members
uddi2__find_USCOREbinding Class Reference

Schema urn:uddi-org:api_v2:"find_binding". More...

`#include <uddi_v2.h>`

Collaboration diagram for uddi2__find_USCOREbinding:
[legend]

## Public Member Functions

| uddi2__find_USCOREbinding (struct soap *)
| Member declared in uddi2-typemap.dat.
| uddi2__find_USCOREbinding (struct soap *, const char *tModelKey)
| Member declared in uddi2-typemap.dat.
| uddi2__find_USCOREbinding (struct soap *, std::vector< char * > tModelKeys)
| Member declared in uddi2-typemap.dat.
uddi2__bindingDetail * | send (const char *endpoint)
| Member declared in uddi2-typemap.dat.

## Public Attributes

uddi2__findQualifiers * | findQualifiers
| Element reference "urn:uddi-org:api_v2":findQualifiers.
uddi2__tModelBag * | tModelBag
| Element reference "urn:uddi-org:api_v2":tModelBag.
char * | generic
| Attribute generic of type xs:string.
int * | maxRows
| Attribute maxRows of type xs:int.
uddi2__serviceKey | serviceKey
| Attribute serviceKey of type "urn:uddi-org:api_v2":serviceKey.
struct soap * | soap
| A handle to the soap struct context that manages this class instance.

## Detailed Description

Schema urn:uddi-org:api_v2:"find_binding".

Represents a request to locate bindings that meet the specified requirements.

See @url http://uddi.org/pubs/ProgrammersAPI_v2.htm#_Toc25137712

## Constructor & Destructor Documentation

## ◆ uddi2__find_USCOREbinding() [1/3]

uddi2__find_USCOREbinding::uddi2__find_USCOREbinding | ( | struct soap * | soap | ) |

Member declared in uddi2-typemap.dat.

Parameters

  [in] | soap | gSOAP context

Creates an instance of the find_USCOREbinding class.

## ◆ uddi2__find_USCOREbinding() [2/3]

uddi2__find_USCOREbinding::uddi2__find_USCOREbinding | ( | struct soap * | soap,
|  | const char * | tModelKey )

Member declared in uddi2-typemap.dat.

Parameters

  [in] | soap | gSOAP context
  [in] | tModelKey | string

Creates an instance of the find_USCOREbinding class using the specified tModel key.

## ◆ uddi2__find_USCOREbinding() [3/3]

uddi2__find_USCOREbinding::uddi2__find_USCOREbinding | ( | struct soap * | soap,
|  | std::vector< char * > | tModelKeys )

Member declared in uddi2-typemap.dat.

Parameters

  [in] | soap | gSOAP context
  [in] | tModelKeys | collection of tModel key strings

Creates an instance of the find_USCOREbinding class using the specified tModel keys.

## Member Function Documentation

## ◆ send()

uddi2__bindingDetail * uddi2__find_USCOREbinding::send | ( | const char * | endpoint | ) |

Member declared in uddi2-typemap.dat.

Parameters

  [in] | endpoint | URL of the UDDI server

Returns
  A pointer to a uddi2__bindingDetail object or NULL on error

Send a request to a UDDI server to find binding details.

## Member Data Documentation

## ◆ findQualifiers

uddi2__findQualifiers* uddi2__find_USCOREbinding::findQualifiers

Element reference "urn:uddi-org:api_v2":findQualifiers.

Optional element

## ◆ generic

char* uddi2__find_USCOREbinding::generic

Attribute generic of type xs:string.

Required attribute

## ◆ maxRows

int* uddi2__find_USCOREbinding::maxRows

Attribute maxRows of type xs:int.

Optional attribute

## ◆ serviceKey

uddi2__serviceKey uddi2__find_USCOREbinding::serviceKey

Attribute serviceKey of type "urn:uddi-org:api_v2":serviceKey.

Required attribute

## ◆ soap

struct soap* uddi2__find_USCOREbinding::soap

A handle to the soap struct context that manages this class instance.

## ◆ tModelBag

uddi2__tModelBag* uddi2__find_USCOREbinding::tModelBag

Element reference "urn:uddi-org:api_v2":tModelBag.

Required element

The documentation for this class was generated from the following file:

- uddi_v2.h